Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.orchestra.viewController
Class ReflectiveViewControllerExecutor

    java.lang.Object
      org.apache.myfaces.orchestra.viewController.AbstractViewControllerExecutor
          org.apache.myfaces.orchestra.viewController.ReflectiveViewControllerExecutor

All Implemented Interfaces:
  ViewControllerExecutor

    public class ReflectiveViewControllerExecutor

extends AbstractViewControllerExecutor

Invokes ViewController events using reflection.

If the target bean has a method with any of the following signatures then it receives the appropriate callback:

- public void initView()
- public void preProcess()
- public void preRenderView()

Note that each method here returns false if the target bean does not have a method with an appropriate signature; this allows this executor to be "chained" with others.

Constructor Summary
`ReflectiveViewControllerExecutor()`

Method Summary
`boolean` | `invokeInitView(java.lang.String beanName, java.lang.Object bean)`
`protected boolean` | `invokeOnViewController(java.lang.Object bean, java.lang.String methodName)` Helper method to find the method which should get invoked.
`boolean` | `invokePreProcess(java.lang.String beanName, java.lang.Object bean)`
`boolean` | `invokePreRenderView(java.lang.String beanName, java.lang.Object bean)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReflectiveViewControllerExecutor

    public ReflectiveViewControllerExecutor()

Method Detail

### invokeOnViewController

    protected boolean invokeOnViewController(java.lang.Object bean,
                                             java.lang.String methodName)

  Helper method to find the method which should get invoked.

### invokeInitView

    public boolean invokeInitView(java.lang.String beanName,
                                  java.lang.Object bean)

  Specified by:
    `invokeInitView` in interface `ViewControllerExecutor`
  Overrides:
    `invokeInitView` in class `AbstractViewControllerExecutor`

### invokePreRenderView

    public boolean invokePreRenderView(java.lang.String beanName,
                                       java.lang.Object bean)

  Specified by:
    `invokePreRenderView` in interface `ViewControllerExecutor`
  Overrides:
    `invokePreRenderView` in class `AbstractViewControllerExecutor`

### invokePreProcess

    public boolean invokePreProcess(java.lang.String beanName,
                                    java.lang.Object bean)

  Specified by:
    `invokePreProcess` in interface `ViewControllerExecutor`
  Overrides:
    `invokePreProcess` in class `AbstractViewControllerExecutor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation. All Rights Reserved.